unit maingmt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, DB, dbf, ExtCtrls, Menus,dateUtils;

type
  TMainForm = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    DBLookupComboBox2: TDBLookupComboBox;
    Label6: TLabel;
    Label7: TLabel;
    CurrentTime2: TLabel;
    CurrentDate2: TLabel;
    IDD2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    GMTTime1: TLabel;
    CurrentTime1: TLabel;
    Label15: TLabel;
    Capital2: TLabel;
    Dbf1: TDbf;
    DataSource1: TDataSource;
    Timer1: TTimer;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Edit1: TMenuItem;
    About1: TMenuItem;
    Exit1: TMenuItem;
    CountriesData1: TMenuItem;
    Label12: TLabel;
    CurrentDate1: TLabel;
    Label19: TLabel;
    GMTDate1: TLabel;
    Label18: TLabel;
    Label21: TLabel;
    Dbf1CC: TStringField;
    Dbf1CN: TStringField;
    Dbf1CAPITAL: TStringField;
    Dbf1REGION: TStringField;
    Dbf1GMT: TStringField;
    Dbf1IDD: TStringField;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure CountriesData1Click(Sender: TObject);
    procedure DBLookupComboBox1Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;
  GMTvars1,GMTvars2 :string;
  GMTvari1,GMTvari2 :Extended;
  GMTDateTime1,GMTDateTime2 :TDateTime;

implementation

uses esbdates, About, dataentry;

{$R *.dfm}

procedure TMainForm.Timer1Timer(Sender: TObject);
var
  DateTime : TDateTime;
  str : string;
begin
  DateTime := Now;  // store the current date and time
  str := TimeToStr(DateTime); // convert the time into a string
  CurrentDate1.Caption := DateToStr(Date); //computer date
  CurrentTime1.Caption := str;    //computer time
  GMTDate1.Caption := DatetoStr(GetGMTTime(DateTime));  //time less 8hrs
  GMTTime1.Caption := TimeToStr(GetGMTTime(DateTime));  //time less 8hrs
  if ((DBLookupComboBox2.Text<>'') and (Label5.Caption<>'')) then
   begin
       CurrentDate2.Caption := DatetoStr(AddHrs(GetGMTTime(DateTime),GMTvari2)); //computer date
       CurrentTime2.Caption := TimeToStr(AddHrs(GetGMTTime(DateTime),GMTvari2)); //computer time
   end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
	AppPath              :string;
begin
  AppPath := ExtractFilePath(ParamStr(0));
  Dbf1.FilePathFull := AppPath;
  //Dbf1.Active:=true;
    // need exclusive access
//  Dbf1.Close;
  Dbf1.Exclusive := true;
  Dbf1.Open;
  Dbf1.PackTable;
  // create NDX index for title field
  Dbf1.AddIndex('CN.NDX', 'CN', []);
  Dbf1.Close;
  Dbf1.Exclusive := false;
  Dbf1.Open;
  Label1.Caption := GetTimeZoneName;
  if Label1.Caption<>'' then Label1.Caption := 'Time Zone : '+GetTimeZoneName else Label1.Caption := '';
  GMTvars1 := GetGMTDifference;
  GMTvari1 :=  GMTString2Value(GMTvars1);
  GroupBox1.Caption := 'Your Current Location is : '+GMTvars1;
//other country data
  IDD2.Caption := '';
  Capital2.Caption := '';
  CurrentDate2.Caption := '';
  CurrentTime2.Caption := '';
  Label5.Caption := '';
end;

procedure TMainForm.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TMainForm.About1Click(Sender: TObject);
begin
    frmAbout.Show;
end;

procedure TMainForm.CountriesData1Click(Sender: TObject);
begin
   Form1.Show;
end;

procedure TMainForm.DBLookupComboBox1Exit(Sender: TObject);
var
LocateSuccess: Boolean;
begin
   LocateSuccess := Dbf1.Locate('CN', VarArrayOf([DBLookupComboBox2.Text]), [loCaseInsensitive ,loPartialKey]);
   if LocateSuccess then
   begin
     IDD2.Caption := Dbf1IDD.AsString;
     Capital2.Caption := Dbf1CAPITAL.AsString;
     GMTvars2 := trim(Dbf1GMT.AsString);
     if GMTVars2='' then
     begin
       ShowMessage('Check database Country has no GMT data..');
       Label5.Caption := '';
       CurrentDate2.Caption := '';
       CurrentTime2.Caption := '';
     end
     else
     begin
        GMTvari2 := GMTString2Value(GMTvars2);
        Label5.Caption := GMTVars2;
     end;
   end
   else
   begin
     ShowMessage('Error : Exit and try again..');
   end;
   if DBLookupComboBox2.Text='' then
   begin
     IDD2.Caption := '';
     Capital2.Caption := '';
     CurrentDate2.Caption := '';
     CurrentTime2.Caption := '';
     Label5.Caption := '';
   end;
end;




end.
